Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.entitlements.resource
Class P13nResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          com.bea.p13n.entitlements.resource.P13nResource

All Implemented Interfaces
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

Direct Known Subclasses:
  GlobalNodeResource, LeafNodeResource, P13nCachedResource, WebappNodeResource

    public abstract class P13nResource

extends ResourceBase

This abstract class provides base functionality for resource hierarchies that participate in WLS security. In particular, these resources can be used to locate role and security policies that have previously been created against the same logical hierarchy. In general, `P13nResource` should only be used directly for system classes such as `LeafNodeResource` and `GlobalNodeResource`. Otherwise, applications should use subclasses in com.bea.p13n.entitlements.resource.

See Also
  Serialized Form

Field Summary
`static String` | `empty` Empty string
`protected static String` | `idDelimiter` Resource delimiter used in policies
`protected String` | `initialCapability` For SecurityResource instances, the requested capability, if any
`protected String` | `libraryResourceId` For P13nLibResource instances, the requested capability, if any

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`P13nResource()` No Args constructor
`P13nResource(SecurityResource securityResource, String libraryResourceId, String initialCapability)` Construct fields for security and library resources.

Method Summary
`String` | `getCapabilityName()`
`String` | `getEntAppName()` Gets the application name associated with this resource
`String[]` | `getKeys()` Gets keys for this resource.
`String` | `getLibraryResourceId()`
`Resource` | `getParentResource()`
`String` | `getResourceName()`
`abstract int` | `getResourceScope()` Implemented by P13nResource subclasses
`SecurityResource` | `getSecurityResource()` Returns the resource object used to look for security policies.
`String` | `getType()` Gets the type of this resource (`ApplicationResource`).
`String` | `getWebAppName()`
`Resource` | `makeParent()` Make and return the logical hierarchical parent of this `Resource`
`void` | `setInitialValues(String theInitialCapability, String theLibRsrcId, String theScope)`
`void` | `setSecurityResource(SecurityResource theSecurityResource)` Sets the resource object used to look for security policies.
`String` | `toString()`

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getFieldType, getID, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, reset, writeResourceString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### empty

    public static final String empty

  Empty string

  See Also
    Constants Summary

### idDelimiter

    protected static final String idDelimiter

  Resource delimiter used in policies

  See Also
    Constants Summary

### initialCapability

    protected String initialCapability

  For SecurityResource instances, the requested capability, if any

### libraryResourceId

    protected String libraryResourceId

  For P13nLibResource instances, the requested capability, if any

Constructor Detail

### P13nResource

    public P13nResource(SecurityResource securityResource,
                        String libraryResourceId,
                        String initialCapability)

  Construct fields for security and library resources.

### P13nResource

    public P13nResource()

  No Args constructor

Method Detail

### getResourceScope

    public abstract int getResourceScope()

  Implemented by P13nResource subclasses

### getKeys

    public String[] getKeys()

  Gets keys for this resource.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns
    an array of Strings containing this resource's keys.

### getType

    public String getType()

  Gets the type of this resource (`ApplicationResource`).

  Returns
    the String type of this resource.

### getSecurityResource

    public SecurityResource getSecurityResource()

  Returns the resource object used to look for security policies. The scoping/search for security policies always begins at the resource leaf node.

### setSecurityResource

    public void setSecurityResource(SecurityResource theSecurityResource)

  Sets the resource object used to look for security policies. The scoping/search for security policies always begins at the resource leaf node.

### setInitialValues

    public void setInitialValues(String theInitialCapability,
                                 String theLibRsrcId,
                                 String theScope)

### getEntAppName

    public String getEntAppName()

  Gets the application name associated with this resource

  Returns
    a String indicating the name of the application in which the resource is deployed

### getWebAppName

    public String getWebAppName()

### getResourceName

    public String getResourceName()

### getCapabilityName

    public String getCapabilityName()

### getLibraryResourceId

    public String getLibraryResourceId()

### toString

    public String toString()

  Specified by:
    `toString` in interface `Resource`
  Overrides:
    `toString` in class `ResourceBase`

### getParentResource

    public Resource getParentResource()

  Specified by:
    `getParentResource` in interface `Resource`
  Overrides:
    `getParentResource` in class `ResourceBase`

### makeParent

    public Resource makeParent()

  Make and return the logical hierarchical parent of this `Resource`

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns
    Resource represents the logical parent. Null represents the root of a hierarchy.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.